Kjc (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.taskdefs.compilers

## Class Kjc

- java.lang.Object
- - org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
  - - org.apache.tools.ant.taskdefs.compilers.Kjc

- All Implemented Interfaces:
    `CompilerAdapter`, `CompilerAdapterExtension`

      public class Kjc
      extends DefaultCompilerAdapter

  The implementation of the Java compiler for KJC. This is primarily a cut-and-paste from Jikes.java and DefaultCompilerAdapter.
  Since:
    Ant 1.4

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

      `attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Kjc()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `execute()` | Run the compilation.
    `protected Commandline` | `setupKjcCommand()` | setup kjc command arguments.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

      `addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, assumeJava9Plus, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Kjc

          public Kjc()

  - ### Method Detail

    - #### execute

          public boolean execute()
                          throws BuildException

      Run the compilation.
      Returns:
        true if the compilation succeeded
      Throws:
        `BuildException` - if the compilation has problems.

    - #### setupKjcCommand

          protected Commandline setupKjcCommand()

      setup kjc command arguments.
      Returns:
        the command line